Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class ForwardPositionIterator

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.dom.NodeIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.ForwardPositionIterator

public final class ForwardPositionIterator
extends NodeIteratorBase

This iterator is a wrapper that always returns the position of a node in document order. It is needed for the case where a call to position() occurs in the context of an XSLT element such as xsl:for-each, xsl:apply-templates, etc.

Constructor Summary
`ForwardPositionIterator(NodeIterator source)`

Method Summary
`NodeIterator` | `cloneIterator()`
`int` | `getPosition()`
`void` | `gotoMark()`
`int` | `next()`
`NodeIterator` | `reset()`
`void` | `setMark()`
`NodeIterator` | `setStartNode(int node)`

Methods inherited from class org.apache.xalan.xsltc.dom.NodeIteratorBase
`getLast, includeSelf, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardPositionIterator

    public ForwardPositionIterator(NodeIterator source)

Method Detail

### cloneIterator

    public NodeIterator cloneIterator()

  Overrides:
    cloneIterator in class NodeIteratorBase

### next

    public int next()

### setStartNode

    public NodeIterator setStartNode(int node)

  Overrides:
    setStartNode in class NodeIteratorBase

### reset

    public NodeIterator reset()

  Overrides:
    reset in class NodeIteratorBase

### getPosition

    public int getPosition()

  Overrides:
    getPosition in class NodeIteratorBase

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.